XBF(4)

NAME
xbf - Xen Blkfront virtual disk

SYNOPSIS
xbf* at xen?

DESCRIPTION
The xbf driver provides support for a paravirtual disk interface "Blkfront", native to the Xen hypervisor.

During attach the xbf driver will ask the hypervisor to switch all configured virtual disks over to the Blkfront interface regardless of the VM configuration.

SEE ALSO
autoconf(4), intro(4), xen(4)

HISTORY
The xbf driver first appeared in OpenBSD 6.1.

AUTHORS
The xbf driver was written by Mike Belopuhov <mikeb@openbsd.org> based on the vdsk(4) driver by -nosplit Mark Kettenis <kettenis@openbsd.org>, inspired by the FreeBSD implementation.